Bug 1419336 - [RFE] Monitor direct lun disk status via GUI/RestAPI
Summary: [RFE] Monitor direct lun disk status via GUI/RestAPI
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 4.1.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Rob Young
QA Contact: Gil Klein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-05 14:32 UTC by Avihai
Modified: 2018-05-27 13:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-27 13:55:00 UTC
oVirt Team: Storage
ylavi: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Avihai 2017-02-05 14:32:11 UTC
Description of problem:
Direct lun disk status is not available via GUI/RestAPI 
On Same fc/iscsi domain an image disk status is available.

Version-Release number of selected component (if applicable):
Print screen of GUI and RestApi of the direct lun vs image disk

Description of problem:
Direct lun disk status is not available via GUI/RestAPI 
On Same fc/iscsi domain an image disk status is available.


Version-Release number of selected component (if applicable):
ovirt-engine-4.1.0.4-0.1.el7.noarch

How reproducible:
100%


Steps to Reproduce:
1.create block(iscsi/fc) domain
2.create a direct lun disk
3.check out via GUI/RestAPI what is the disk status.

Actual results:
Direct lun disk status is not available.
Via GUI I get N/A.
Via RestAPI "status" field does not exist .


Expected results:
Direct lun disk status should be shown the same as an image disk .

Additional info:
On Same fc/iscsi domain an image disk status is available.

How reproducible:
100%


Steps to Reproduce:
1.create block(iscsi/fc) domain
2.create a direct lun disk
3.check out via GUI/RestAPI what is the disk status.

Actual results:
Direct lun disk status is not available.
Via GUI I get N/A.
Via RestAPI "status" field does not exist .


Expected results:
Direct lun disk status should be shown the same as an image disk .

Additional info:
Maybe using the multipath status of the host will help to monitor & give indication

Comment 1 Yaniv Kaul 2017-11-16 14:19:43 UTC
Multipath status events will be implemented in 4.2. I'm not sure what other status we need.

Comment 2 Doron Fediuck 2018-05-27 13:55:00 UTC
Closing old RFEs.
If relevant, please re-open and explain why.
As always- patches are welcomed!


Note You need to log in before you can comment on or make changes to this bug.